package de.letsbuildacompiler.compiler.exceptions;

import org.antlr.v4.runtime.Token;

class CompileException extends RuntimeException {
    int line;
    int col;

    CompileException(Token token) {
        line = token.getLine();
        col = token.getCharPositionInLine();
    }
}
