package de.letsbuildacompiler.compiler.exceptions;

import org.antlr.v4.runtime.Token;

public class FunctionAlreadyDefinedException extends CompileException{

    private String funcName;

    public FunctionAlreadyDefinedException(Token token) {
        super(token);
        funcName = token.getText();
    }

    @Override
    public String getMessage() {
        return line + ":" + col + " function already defined : <" + funcName + ">";
    }
}
