package de.letsbuildacompiler.compiler.exceptions;

import org.antlr.v4.runtime.Token;

public class UndefinedFunctionException extends CompileException {

    private String funcName;

    public UndefinedFunctionException(Token token) {
        super(token);
        funcName = token.getText();
    }

    @Override
    public String getMessage() {
        return line + ":" + col + " call to undefined function : <" + funcName + ">";
    }
}
