package de.letsbuildacompiler.compiler.exceptions;


import org.antlr.v4.runtime.Token;

public class UndeclaredVariableException extends CompileException {

    private final String varName;

    public UndeclaredVariableException(Token token) {
        super(token);
        varName = token.getText();
    }

    @Override
    public String getMessage() {
        return line + ":" + col + " undeclared variable <" + varName + ">";
    }

}
